%define	name clsmtpc
%define	version	0.1.8
%define	release	1pe8
%global debug_package %{nil}

Summary:	clsmtpc is simple non-interactive command line SMTP client
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Applications/Communications
URL:		http://www.karing.jp/~yoshino/%{name}-%{version}.tar.gz
Vendor:		Private Edition
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:       coreutils, file, openssl, stunnel, bash > 2.0

%description
clsmtpc is a simple non-interactive command line SMTP client which implements
SMTP-AUTH(PLAIN, LOGIN, CRAM-MD5, DIGEST-MD5) and SMTPs/TLS. First, it is
developed for shell script programmers to send mails without local SMTP server.
It is developed on Linux, but it is a shell script so that it may work on same
shell environment in other platforms. 

%prep

%setup -q
./configure --bindir=%{_bindir} --mandir=%{_mandir}

%build
make all

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/clsmtpc
touch $RPM_BUILD_ROOT/etc/clsmtpc/clsmtpc.conf $RPM_BUILD_ROOT/etc/clsmtpc/clmpasswd
chmod 600 $RPM_BUILD_ROOT/etc/clsmtpc/clmpasswd

%clean
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc COPYING README ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
/etc/clsmtpc/
#/etc/clsmtpc/*

%changelog
* Sun Feb 9 2020 yoshinobu syouzi <yoshino@rita.karng.jp>
- 0.1.8-0pe1 SMTPs/TLS implemantation changed from openssl to stunnel.

* Fri Sep 14 2018 yoshinobu syouzi <yoshino@rita.karng.jp>
- 0.1.5-0pe7 STARTTLS behaver was revised.

* Fri Sep 7 2018 yoshinobu syouzi <yoshino@rita.karng.jp>
- 0.1.5-0pe1 mail address quotation was revised.

* Sat Apr 14 2018 yoshinobu syouzi <yoshino@rita.karng.jp>
- 0.1.4-0pe5 bug-fixes and default time wait was changed from 10s to 60s.

* Sat Jun 7 2014 yoshinobu syouzi <yoshino@rita.karng.jp>
- 0.1.4 was bug fix version.

* Thu Apr 3 2014 yoshinobu syouzi <yoshino@rita.karng.jp>
- new version 0.1.3 was released. This version implements attached files and
- SMTPs/TLS.

* Wed Sep 7 2011 yoshinobu syouzi <yoshino@rita.karng.jp>
- the first version 0.1.0 was released.
